Subject: Problem with build on AIX 4.1.4 systems

From: "Monereau, Alex" <[email-masked]>
Date: Mon, 21 Oct 96 12:04:00 EDT

Having problem " ./build aix " on AIX 4.1.4 system. It  fails right away and 
I'm unable to determine what the problem is ? Is anyone else having the same 
problem ? If so what was the resolution ?????//
Below is the output received:

# ./build aix
make args are :
make opts are :

Linking Makefiles.
ln: Makefile exists.  Specify -f to remove.
ln: config.h exists.  Specify -f to remove.
ln: Makefile exists.  Specify -f to remove.

Making support library.
        gcc -O -DDEBUG   -c strdup.c
strdup.c:48: conflicting types for `strdup'
/usr/local/lib/gcc-lib/powerpc-ibm-aix4.1.4.0/2.7.2.1/include/string.h:146: 
previous declaration of `strdup'
make: The error code from the last command is 1.

Stop.

Making ftpd.
        gcc -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
ftpd.c:143: conflicting types for `realpath'
/usr/local/lib/gcc-lib/powerpc-ibm-aix4.1.4.0/2.7.2.1/include/stdlib.h:428: 
previous declaration of `realpath'
ftpd.c: In function `pass':
ftpd.c:1002: warning: assignment makes integer from pointer without a cast
ftpd.c:1153: warning: passing arg 1 of `setgroups' makes integer from 
pointer without a cast
ftpd.c: In function `opt_string':
ftpd.c:1226: warning: comparison between pointer and integer
ftpd.c:1228: warning: comparison between pointer and integer
ftpd.c:1230: warning: comparison between pointer and integer
ftpd.c: In function `retrieve':
ftpd.c:1342: warning: comparison between pointer and integer
make: The error code from the last command is 1.

Stop.

Making ftpshut.
        gcc -O -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c 
vers.o -lsupport
gcc: vers.o: No such file or directory
ftpshut.c: In function `main':
ftpshut.c:188: warning: comparison between pointer and integer
ftpshut.c:191: warning: assignment makes integer from pointer without a cast
make: The error code from the last command is 1.

Stop.

Making ckconfig.
Target "ckconfig" is up to date.
ln: ckconfig exists.  Specify -f to remove.

Links to executables are in bin directory:
size: 0654-304 Cannot open bin/ftpd.
size: 0654-304 Cannot open bin/ftpcount.
size: 0654-304 Cannot open bin/ftpshut.
size: 0654-304 Cannot open bin/ftpwho.
bin/ckconfig: 2524 + 216 + 20 + 946 + 2172 = 5878
Done